<?php
// WizyTówka - admin.php

// CZAS UKRYWANIA KOMUNIKATU
// jeśli chcesz zmienić czas, po którym znikają komunikaty w panelu administracyjnym
// przy wprowadzaniu zmian, podaj poniżej liczbę milisekund (domyślnie 2000)
$czas_komunikatu = 2000;

// STRONA STARTOWA PANELU
// jeśli chcesz zmienić domyślną stronę wyświetlaną w panelu administracyjnym
// po zalogowaniu się, podaj poniżej identyfikator żądanej strony (domyślnie - strony)
// przykłady: ustawienia, wyglad, edycja/strona-glowna
$domyslna_strona = 'strony';

// BRAK DOSTĘPU DO PLIKÓW
// jeżeli osoba korzystająca z WizyTówki nie będzie miała dostępu do plików serwerze,
// ustaw wartość poniższej zmiennej na TRUE - z "Pomocy" znikną niektóre informacje
$brak_dostepu_do_plikow = TRUE;

// wersja
define(WERSJA,'2.04');
define(WERSJA_BETA,true);
define(WERSJA_DATA,'8.02.2012');

error_reporting( E_ALL & ~E_NOTICE );
date_default_timezone_set('Europe/Warsaw');

include('system/funkcje.php');

$losowy_ciag = rand(1000,9999).rand(1000,9999).rand(1000,9999).rand(1000,9999).rand(1000,9999).rand(1000,9999);

// instalator
if (!file_exists('dane')) {
  $form = 'instalator';
  include('system/form.php');
  exit();
}

// logowanie
if ($_POST['formularz'] == 'logowanie') {
  if (md5($_POST['haslo']) == dane_o('uzytkownik/haslo')) {
    dane_s($losowy_ciag,'uzytkownik/kod');
    setcookie('WizyTowka',$losowy_ciag,time()+3600);
    if ($_POST['haslo-zresetowano'] != 'tak')
      header('Location: admin.php?kod='.$losowy_ciag);
    elseif ($_POST['haslo-zresetowano'] = 'tak')
      header('Location: admin.php?kod='.$losowy_ciag.'&a=ustawienia#nowehaslo');
    exit();
  }
  else
    $bledne_haslo = TRUE;
}

// wylogowanie
if ($_GET['a'] == 'wyloguj') {
  setcookie('WizyTowka','');
  dane_s('','uzytkownik/kod');
  header('Location: admin.php');
  exit();
}

// identyfikator
if (!isset($_COOKIE['WizyTowka']) or empty($_GET['kod']))   dane_s('','uzytkownik/kod'); 
$kod = dane_o('uzytkownik/kod');

// panel logowania
if ($_GET['kod'] != $_COOKIE['WizyTowka'] or $_COOKIE['WizyTowka'] != $kod or empty($kod)) {
  $form = 'logowanie';
  include('system/form.php');
}
// panel użytkownika
elseif ($_COOKIE['WizyTowka'] == $kod and $_GET['kod'] == $kod and !empty($kod)) {
  include('system/admin.php');
}