<?php
// WizyTówka - admin_strony.php

$form = $_POST['formularz'];

// zapis ustawień - strony / utwórz
if($form == 'strony-utworz') {
  $znaki = preg_match('/^[A-Za-zŻÓŁĆĘŚĄŹŃżółćęśąźń0-9,\s\.!?]+$/',$_POST['tytul']);
  $tytul = prosta_nazwa($_POST['tytul']);
  if (!empty($_POST['tytul']) and $znaki and !file_exists('dane/strony/'.$tytul)) {
    $kolejnosc = dane_o('strony/kolejnosc');
    dane_s($kolejnosc.'<WT>'.$tytul.'/','strony/kolejnosc');
    mkdir('dane/strony/'.$tytul);
    dane_s($_POST['typ'],"strony/$tytul/typ");
    dane_s($_POST['tytul'],"strony/$tytul/tytul");
    dane_s('',"strony/$tytul/".$_POST['typ']);
    if ($_POST['typ'] == 'kontakt') {
      $uzytkownik = explode('<WT>',dane_o('ustawienia/uzytkownik'));
      dane_s('<WT>'.$uzytkownik[4],"strony/$tytul/".$_POST['typ']);
    }
    $komunikat = 'Strona została utworzona.';
  }
  elseif (empty($_POST['tytul']))
    $komunikat = 'Nie podano nazwy strony.';
  elseif (!$znaki)
    $komunikat = 'Nazwa jest niewłaściwa &mdash; nie mogą występować znaki specjalne.';
  elseif (file_exists('dane/strony/'.$tytul))
    $komunikat = 'Strona o takim identyfikatorze już istnieje.';
}

// zapis ustawień - strony / usuń
elseif($form == 'strony-usun') {
  if (!empty($_POST['usun'])) {
    $typ_usuwanej_strony = dane_o('strony/'.$_POST['usun'].'/typ');
    if ($typ_usuwanej_strony == 'galeria') {
      $cala_galeria = explode('<WT>',dane_o('strony/'.$_POST['usun'].'/galeria'));
      for($a=1;$a<count($cala_galeria);$a++) {
        $bez_ukosnika = @str_replace('/','',$cala_galeria[$a]);
        @unlink('dane/galerie/'.$_POST['usun'].'/'.$bez_ukosnika);
      }
      @rmdir('dane/galerie/'.$_POST['usun']);
    }
    if ($typ_usuwanej_strony == 'miniblog') {
      $caly_miniblog = explode('<WT>',dane_o('strony/'.$_POST['usun'].'/miniblog'));
      for($a=1;$a<count($caly_miniblog);$a++) {
        $bez_ukosnika = @str_replace('/','',$caly_miniblog[$a]);
        @unlink('dane/miniblogi/'.$_POST['usun'].'/'.$bez_ukosnika.'.txt');
      }
      @rmdir('dane/miniblogi/'.$_POST['usun']);
    }
    unlink('dane/strony/'.$_POST['usun'].'/'.dane_o('strony/'.$_POST['usun'].'/typ').'.txt');
    unlink('dane/strony/'.$_POST['usun'].'/typ.txt');
    unlink('dane/strony/'.$_POST['usun'].'/tytul.txt');
    rmdir('dane/strony/'.$_POST['usun']);
    dane_s(str_replace('<WT>'.$_POST['usun'].'/','',dane_o('strony/kolejnosc')),'strony/kolejnosc');
    $komunikat = 'Strona została usunięta.';
  }
  else
    $komunikat = 'Nie wskazano strony do usunięcia.';
}

// zapis ustawień - strony / kolejność
elseif($form == 'strony-kolejnosc') {
  dane_s('<WT><WT>'.str_replace(',','/<WT>',$_POST['kolejnosc']).'/','strony/kolejnosc');
  $komunikat = 1;
}

// zapis ustawień - edycja / typ: strona
elseif($form == 'edycja-strona-tresc') {
  dane_s_e(stripslashes($_POST['tresc']),'strony/'.$_GET['id'].'/strona');
  $komunikat = 1;
}

// zapis ustawień - edycja / typ: galeria / dodaj
elseif($form == 'edycja-galeria-dodaj') {
  $znaki = preg_match('/^[A-Za-zŻÓŁĆĘŚĄŹŃżółćęśąźń0-9,\s\.\-_]+$/',$_FILES['plik']['name']);
  if ($_FILES['plik']['errors'] == 0 and is_uploaded_file($_FILES['plik']['tmp_name']) and $znaki) {
    if (!file_exists('dane/galerie/'.$_GET['id']))  mkdir ('dane/galerie/'.$_GET['id']);
    $_FILES['plik']['name'] = prosta_nazwa($_FILES['plik']['name']);
    move_uploaded_file($_FILES['plik']['tmp_name'],'dane/galerie/'.$_GET['id'].'/'.$_FILES['plik']['name']);
    dane_s(dane_o('strony/'.$_GET['id'].'/galeria').'<WT>'.$_FILES['plik']['name'].'/','strony/'.$_GET['id'].'/galeria');
    $komunikat = 'Zdjęcie zostało dodane.';
  }
  elseif (empty($_FILES['plik']['name']))
    $komunikat = 'Nie wskazano pliku do wysłania.';
  elseif (!$znaki)
    $komunikat = 'Nazwa jest niewłaściwa &mdash; nie mogą występować znaki specjalne.';
  else
    $komunikat = 'Wystąpił błąd, spróbuj ponownie.';
}

// zapis ustawień - edycja / typ: galeria / usuń
elseif($form == 'edycja-galeria-usun') {
  if (!empty($_POST['usun'])) {
    unlink('dane/galerie/'.$_GET['id'].'/'.$_POST['usun']);
    dane_s(str_replace('<WT>'.$_POST['usun'].'/','',dane_o('strony/'.$_GET['id'].'/galeria')),'strony/'.$_GET['id'].'/galeria');
    $komunikat = 'Zdjęcie zostało usunięte.';
  }
  else
    $komunikat = 'Nie wskazano zdjęcia do usunięcia.';
}

// zapis ustawień - edycja / typ: miniblog / dodaj
elseif($form == 'edycja-miniblog-dodaj') {
  if (!file_exists('dane/miniblogi/'.$_GET['id']))  mkdir ('dane/miniblogi/'.$_GET['id']);
  $glowne = explode('<WT>',dane_o('ustawienia/glowne'));
  dane_s_e(stripslashes($_POST['tresc']).'<WT>'.date('j.m.Y, G:i'),'miniblogi/'.$_GET['id'].'/'.md5(substr($_POST['tresc'],0,30)));
  dane_s(dane_o('strony/'.$_GET['id'].'/miniblog').'<WT>'.md5(substr($_POST['tresc'],0,30)).'/','strony/'.$_GET['id'].'/miniblog');
  $komunikat = 'Wpis został dodany.';
}

// zapis ustawień - edycja / typ: miniblog / usuń
elseif($form == 'edycja-miniblog-usun') {
  if (!empty($_POST['usun'])) {
    unlink('dane/miniblogi/'.$_GET['id'].'/'.$_POST['usun'].'.txt');
    dane_s(str_replace('<WT>'.$_POST['usun'].'/','',dane_o('strony/'.$_GET['id'].'/miniblog')),'strony/'.$_GET['id'].'/miniblog');
    $komunikat = 'Wpis został usunięty.';
  }
  else
    $komunikat = 'Nie wskazano wpisu do usunięcia.';
}

// zapis ustawień - edycja / typ: kontakt / formularz
elseif($form == 'edycja-kontakt-formularz') {
  $cale_kontakt = explode('<WT>',dane_o('strony/'.$_GET['id'].'/kontakt'));
  dane_s($_POST['napis-nad-formularzem'].'<WT>'.$_POST['adres-email'].'<WT>'.$cale_kontakt[2].'<WT>'.$cale_kontakt[3].'<WT>'.$cale_kontakt[4].'<WT>'.$cale_kontakt[5],'strony/'.$_GET['id'].'/kontakt');
  $komunikat = 1;
  if ($_POST['sprawdz-email'] == 'tak') {
    $cale_kontakt = explode('<WT>',dane_o('strony/'.$_GET['id'].'/kontakt'));
    $glowne = explode('<WT>',dane_o('ustawienia/glowne'));
    $imienazwisko = $glowne[2];    $adresstrony = $glowne[3];
    $wysylanie_maila = @mail($cale_kontakt[1],'WizyTówka — test wiadomości',"Cześć, $imienazwisko!\n\nWizyTówka zainstalowana pod adresem $adresstrony może wysyłać wiadomości e-mail.\nTwoje formularze kontaktowe będą działały prawidłowo.\n\n$adresstrony/admin.php\n\nMiłego dnia!",'Content-type: text/plain; charset=UTF-8');
    if ($wysylanie_maila)   $komunikat = 'Testowa wiadomość została wysłana, sprawdź pocztę e-mail.';
    elseif (!$wysylanie_maila)   $komunikat = 'Testowa wiadomość nie została wysłana.';
  }
}

// zapis ustawień - edycja / typ: kontakt / portale
elseif($form == 'edycja-kontakt-portale') {
  $cale_kontakt = explode('<WT>',dane_o('strony/'.$_GET['id'].'/kontakt'));
  dane_s($cale_kontakt[0].'<WT>'.$cale_kontakt[1].'<WT>'.$_POST['profil-facebook'].'<WT>'.$_POST['profil-nk'].'<WT>'.$_POST['profil-blip'].'<WT>'.$_POST['profil-twitter'],'strony/'.$_GET['id'].'/kontakt');
  $komunikat = 1;
}

// zapis ustawień - edycja / ustawienia
elseif($form == 'edycja-ustawienia') {
  dane_s(stripslashes(htmlspecialchars($_POST['tytul'])),'strony/'.$_GET['id'].'/tytul');
  if ($_POST['typ'] != 'bez-zmian') {
    $poprzedni_typ = dane_o('strony/'.$_GET['id'].'/typ');
    if ($poprzedni_typ == 'galeria') {
      $cala_galeria = explode('<WT>',dane_o('strony/'.$_GET['id'].'/galeria'));
      for($a=1;$a<count($cala_galeria);$a++) {
        $bez_ukosnika = @str_replace('/','',$cala_galeria[$a]);
        @unlink('dane/galerie/'.$_GET['id'].'/'.$bez_ukosnika);
      }
      @rmdir('dane/galerie/'.$_GET['id']);
    }
    if ($poprzedni_typ == 'miniblog') {
      $caly_miniblog = explode('<WT>',dane_o('strony/'.$_GET['id'].'/miniblog'));
      for($a=1;$a<count($caly_miniblog);$a++) {
        $bez_ukosnika = @str_replace('/','',$caly_miniblog[$a]);
        @unlink('dane/miniblogi/'.$_GET['id'].'/'.$bez_ukosnika.'.txt');
      }
      @rmdir('dane/miniblogi/'.$_GET['id']);
    }
    unlink('dane/strony/'.$_GET['id'].'/'.$poprzedni_typ.'.txt');
    dane_s($_POST['typ'],'strony/'.$_GET['id'].'/typ');
    dane_s('','strony/'.$_GET['id'].'/'.$_POST['typ']);
  }
  $komunikat = 1;
}

// zapis ustawień - ustawienia / główne
elseif($form == 'ustawienia-glowne') {
  if(!sprawdz_adres($_POST['adres']))  $_POST['adres'] = $_POST['adres-stary'];
  $zapisz = $_POST['tytul'].'<WT>'.$_POST['uklad-tytulu'].'<WT>'.$_POST['autor'].'<WT>'.$_POST['adres'].'<WT>'.$_POST['data-godzina'].'<WT>'.$_POST['przyjazne-adresy'];
  dane_s($zapisz,'ustawienia/glowne');
  if ($_POST['przyjazne-adresy'] == 'tak' and $_POST['przyjazne-adresy'] != $_POST['przyjazne-adresy-stare'])
    @fwrite(fopen('.htaccess','w'),"RewriteEngine on\nRewriteBase ".(substr($_SERVER['PHP_SELF'],0,strlen($_SERVER['PHP_SELF'])-9))."\n\nRewriteCond %{REQUEST_FILENAME} !-f\nRewriteCond %{REQUEST_FILENAME} !-d\nRewriteRule /?([A-Za-z0-9-]+)/?$ index.php?id=$1 [QSA,L]");
  elseif ($_POST['przyjazne-adresy'] != 'tak' and $_POST['przyjazne-adresy'] != $_POST['przyjazne-adresy-stare'])
    @unlink('.htaccess');
  $komunikat = 1;
}

// zapis ustawień - ustawienia / google
elseif($form == 'ustawienia-google') {
  $zapisz = htmlspecialchars($_POST['opis']).'<WT>'.htmlspecialchars($_POST['slowa-kluczowe']);
  dane_s($zapisz,'ustawienia/google');
  $komunikat = 1;
}

// zapis ustawień - ustawienia / użytkownik
elseif($form == 'ustawienia-uzytkownik') {
  $zapisz = $_POST['nicedit'].'<WT>'.$_POST['black'].'<WT>'.$_POST['pomoc'].'<WT>'.$_POST['resetowanie-hasla'].'<WT>'.$_POST['adres-email'];
  dane_s($zapisz,'ustawienia/uzytkownik');
  $komunikat = 1;
}

// zapis ustawień - ustawienia / nowe hasło
elseif($form == 'ustawienia-nowe-haslo') {
  if ($_POST['nowe-haslo-1'] == $_POST['nowe-haslo-2'] and !empty($_POST['nowe-haslo-1'])) {
    dane_s(md5($_POST['nowe-haslo-1']),'uzytkownik/haslo');
    $komunikat = 'Hasło zostało zmienione.';
  }
  elseif ($_POST['nowe-haslo-1'] != $_POST['nowe-haslo-2'])
    $komunikat = 'Hasła są róźne!';
  else
    $komunikat = 'Hasła są puste!';
}

// zapis ustawień - wygląd / podstawowe
elseif($form == 'wyglad-podstawowe') {
  $zapisz = $_POST['kolor-tekstu'].'<WT>'.$_POST['kolor-tla'].'<WT>'.$_POST['szerokosc'].'<WT>'.$_POST['rozmiar-czcionki'].'<WT>'.$_POST['czcionka'].'<WT>'.$_POST['tylko-css'];
  dane_s($zapisz,'wyglad/podstawowe');
  $komunikat = 1;
}

// zapis ustawień - wygląd / motyw
elseif($form == 'wyglad-motyw') {
  if ($_POST['nazwa-motywu'] == $_POST['motyw-stary'])
    $komunikat = 1;
  elseif (!file_exists('system/motywy/'.$_POST['nazwa-motywu'].'/styl.css') or !file_exists('system/motywy/'.$_POST['nazwa-motywu'].'/szablon.txt')) {
    $_POST['nazwa-motywu'] = $_POST['motyw-stary'];
    $komunikat = 'Motyw nie zawiera niezbędnych plików!';
  }
  else {
    $aktualny_motyw = $_POST['nazwa-motywu'];
    dane_s_e(file_get_contents('system/motywy/'.$aktualny_motyw.'/szablon.txt'),'wyglad/szablon');
    fwrite(fopen('dane/styl.css','w'),file_get_contents('system/motywy/'.$aktualny_motyw.'/styl.css'));
    $komunikat = 'Motyw został zmieniony.';
  }
  $zapisz = $_POST['nazwa-motywu'].'<WT>'.$_POST['oryginalny-motyw'];
  dane_s($zapisz,'wyglad/motyw');
}

// zapis ustawień - wygląd / zaawansowane
elseif($form == 'wyglad-zaawansowane') {
  $motyw = explode('<WT>',dane_o('wyglad/motyw'));   $aktualny_motyw = $motyw[0];
  if (!empty($_POST['php']))  dane_s_e(stripslashes($_POST['php']),'wyglad/szablon');
  if (!empty($_POST['css']))  fwrite(fopen('dane/styl.css','w'),stripslashes($_POST['css']));
  if ($_POST['domyslny-php'] == 'tak')  dane_s_e(file_get_contents('system/motywy/'.$aktualny_motyw.'/szablon.txt'),'wyglad/szablon');
  if ($_POST['domyslny-css'] == 'tak')  fwrite(fopen('dane/styl.css','w'),file_get_contents('system/motywy/'.$aktualny_motyw.'/styl.css'));
  $komunikat = 1;
}

// zapis ustawień - statystyki / licznik
elseif($form == 'statystyki-licznik') {
  dane_s($_POST['tekst-licznika'].'<WT>'.$_POST['wlaczony'],'statystyki/licznik');
  $komunikat = 1;
}

// zapis ustawień - statystyki / zewnetrzne
elseif($form == 'statystyki-zewnetrzne') {
  dane_s(stripslashes($_POST['kod-zewnetrznych-statystyk']),'statystyki/zewnetrzne');
  $komunikat = 1;
}

// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

// komunikat
if(!empty($komunikat)) {
  if($komunikat == 1)
    $komunikat = 'Zmiany zostały zapisane.';
    $czas_odblokowania = $czas_komunikatu + 500;
  echo "    <script language=\"javascript\">\n    function ukryj() { document.getElementById('komunikat').className = 'ukryj'; }\n    function odblokuj() { document.getElementById('komunikat').style.display = 'none'; }\n    setTimeout('ukryj()',$czas_komunikatu);\n    setTimeout('odblokuj()',$czas_odblokowania);\n    </script>\n    <p id=\"komunikat\">$komunikat</p>\n";
}

// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

$a = $_GET['a'];
if(empty($a)) {
  if (substr($domyslna_strona,0,6) == 'edycja') { $a = 'edycja'; $_GET['id'] = substr($domyslna_strona,7,strlen($domyslna_strona)); }
  else $a = $domyslna_strona;
}

// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

// panel użytkownika - strony
if($a == 'strony') {
  $kolejnosc_stron_menu = dane_o('strony/kolejnosc');
  $kolejnosc_stron_menu = str_replace('/<WT>',',',substr($kolejnosc_stron_menu,8,(strlen($kolejnosc_stron_menu)-9)));
?>
    <h2>Strony</h2>
    <form method="post">
      <table class="lista">
        <caption>Lista istniejących stron</caption>
        <tr><th>Tytuł</th><th>Identyfikator</th><th class="mniejsze">Typ</th><th class="mniejsze">Usuń</th></tr>
        <tr><td><a href="?a=edycja&amp;id=strona-glowna&amp;kod=<?php echo $_GET['kod'] ?>" class="menu"><?php echo dane_o('strony/strona-glowna/tytul'); ?></a></td><td>strona-glowna</td><td class="mniejsze"><?php echo dane_o('strony/strona-glowna/typ') ?></td><td class="mniejsze">&nbsp;</td></tr> 
<?php
  $kolejnosc = explode('<WT>',dane_o('strony/kolejnosc'));
  for($a=1;$a<count($kolejnosc);$a++) {
    $bez_ukosnika = str_replace('/','',$kolejnosc[$a]);
    if (file_exists('dane/strony/'.$bez_ukosnika) and !empty($bez_ukosnika)) {
      $tytul = dane_o("strony/$bez_ukosnika/tytul");
      $typ = dane_o("strony/$bez_ukosnika/typ");
      $usun = true;
    }
    else {
      $typ = '';
      $tytul = "<span style=\"text-decoration: line-through; color: red;\" title=\"Strona o takim identyfikatorze nie istnieje.\">$bez_ukosnika</span>";
      $usun = false;
    }
    if ($bez_ukosnika != 'strona-glowna' and !empty($bez_ukosnika)) {
      echo "        <tr><td><a href=\"?a=edycja&amp;id=$bez_ukosnika&amp;kod=".$_GET['kod']."\" class=\"menu\">$tytul</a></td><td>$bez_ukosnika</td><td class=\"mniejsze\">$typ</td>";
      if ($usun)  echo "<td class=\"mniejsze\"><input type=\"radio\" name=\"usun\" value=\"$bez_ukosnika\" title=\"Tej czynności nie można cofnąć!\" /></td>";
      elseif (!$usun)  echo "<td class=\"mniejsze\">&nbsp;</td>";
      echo "</tr>\n";
    }
  }
?>
        <tr><td>&nbsp;</td><td>&nbsp;</td><td class="mniejsze">&nbsp;</td><td class="mniejsze"><input type="submit" value="Usuń" title="Tej czynności nie można cofnąć!" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="strony-usun" />
      <p class="pomoc">Aby edytować stronę należy kliknąć jej tytuł.</p>
    </form>
    <form method="post">
      <table>
        <caption>Utwórz nową stronę</caption>
        <tr><td>Typ:</td><td><label title="Zwykła statyczna strona."><input type="radio" name="typ" value="strona" checked /> strona</label> <label title="Strona zawierająca efektowną galerię ze zdjęciami."><input type="radio" name="typ" value="galeria"/> galeria</label> <label title="Strona zawierająca kolejne krótkie wpisy."><input type="radio" name="typ" value="miniblog"/> miniblog</label>  <label title="Strona z formularzem kontaktowym."><input type="radio" name="typ" value="kontakt"/> kontakt</label></td></tr>
        <tr><td>Tytuł:</td><td><input type="text" name="tytul" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Utwórz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="strony-utworz" />
    </form>
    <form method="post">
      <table>
        <caption>Kolejność stron w menu</caption>
        <tr><td>Identyfikatory stron:</td><td><input type="text" name="kolejnosc" value="<?php echo $kolejnosc_stron_menu; ?>"/></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="strony-kolejnosc" />
      <p class="pomoc">Identyfikatory stron należy rozdzielić przecinkiem (bez spacji).</p>
    </form>
<?php
}

// panel użytkownika - edycja
elseif($a == 'edycja') {
  if (file_exists('dane/strony/'.$_GET['id']) and !empty($_GET['id'])) {
    $tytul = dane_o('strony/'.$_GET['id'].'/tytul');
    $typ = dane_o('strony/'.$_GET['id'].'/typ');
    $glowne = explode('<WT>',dane_o('ustawienia/glowne'));
    if ($glowne[5] == 'tak') $dodac = '/'; else $dodac = '?id=';
?>
    <h2>Edycja &mdash; <a href="<?php echo $glowne[3]; echo ($_GET['id'] != 'strona-glowna') ? $dodac.$_GET['id'] : ''; ?>" target="_blank" class="tytul" title="Kliknij, aby zobaczyć jak wygląda aktualnie ta strona."><?php echo $tytul ?></a></h2>
<?php
    if ($typ == 'strona') {
      $tresc = dane_o('strony/'.$_GET['id'].'/strona');
      edytor();
?>
    <form method="post">
      <table>
        <caption>Treść strony</caption>
        <tr><td class="edytor-NicEdit"><textarea class="tresc" name="tresc" id="edytor"><?php if(empty($tresc) or $tresc == '<br />') echo "<p>&#x200F;</p>"; else echo $tresc; ?></textarea></td></tr>
        <tr><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-strona-tresc" />
    </form>
<?php
    }
    elseif ($typ == 'galeria') {
?>
    <form method="post">
      <table class="lista">
        <caption>Lista dodanych zdjęć</caption>
        <tr><th>Nazwa pliku</th><th class="mniejsze">Rozmiar</th><th class="mniejsze">Usuń</th></tr>
<?php
  $cala_galeria = explode('<WT>',dane_o('strony/'.$_GET['id'].'/galeria'));
  if (count($cala_galeria) == 1)
    echo '        <tr><td>Nie dodano zdjęć.</td></tr>';
  else {
    for($a=1;$a<count($cala_galeria);$a++) {
      if (!empty($cala_galeria[$a])) {
        $bez_ukosnika = str_replace('/','',$cala_galeria[$a]);
        $rozmiar = @strstr((filesize('dane/galerie/'.$_GET['id']."/$bez_ukosnika") * 0.0009765625),'.', true);
        if (!$rozmiar) $rozmiar = "<span title=\"Aby wyświetlić rozmiar pliku należy zaktualizować PHP przynajmniej do wersji 5.3.0.\">?</span>";
        echo "        <tr><td><a href=\"dane/galerie/".$_GET['id'].'/'.$bez_ukosnika."\"  class=\"menu\" target=\"_blank\">$bez_ukosnika</a></td><td class=\"mniejsze\">$rozmiar KiB</td><td class=\"mniejsze\"><input type=\"radio\" name=\"usun\" value=\"$bez_ukosnika\" title=\"Tej czynności nie można cofnąć!\" /></td></tr>\n";
      }
    }
  }
?>
        <tr><td>&nbsp;</td><td>&nbsp;</td><td class="mniejsze"><input type="submit" value="Usuń" title="Tej czynności nie można cofnąć!" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-galeria-usun" />
    </form>
    <form method="post" enctype="multipart/form-data">
      <table>
        <caption>Dodaj nowe zdjęcie</caption>
        <tr><td>Wybierz plik:</td><td><input type="file" name="plik" /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Dodaj" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-galeria-dodaj" />
    </form>
<?php
    }
    elseif ($typ == 'miniblog') {
      edytor();
?>
    <form method="post">
      <table>
        <caption>Dodaj nowy wpis</caption>
        <tr><td class="edytor-NicEdit"><textarea class="tresc t-miniblog" name="tresc" id="edytor"><p>&#x200F;</p></textarea></td></tr>
        <tr><td><input type="submit" value="Dodaj" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-miniblog-dodaj" />
    </form>
    <form method="post">
      <table class="lista">
        <caption>Lista istniejących wpisów</caption>
        <tr><th>Treść</th><th class="mniejsze">Data</th><th class="mniejsze">Usuń</th></tr>
<?php
      $caly_miniblog = explode('<WT>',dane_o('strony/'.$_GET['id'].'/miniblog'));
      if (count($caly_miniblog) == 1)
        echo '        <tr><td>Nie dodano wpisów.</td></tr>';
      else {
        for($a=count($caly_miniblog);$a>0;$a--) {
          if (!empty($caly_miniblog[$a])) {
            $bez_ukosnika = str_replace('/','',$caly_miniblog[$a]);
            $caly_wpis = explode('<WT>',dane_o('miniblogi/'.$_GET['id'].'/'.$bez_ukosnika));
            $tresc = strip_tags($caly_wpis[0]);   $data = data($caly_wpis[1]);
            if (strlen($tresc) <= 50)   $skrot = $tresc;  else $skrot = substr($tresc,0,50).'...';
            echo "        <tr><td title=\"$tresc\">$skrot</a></td><td class=\"mniejsze mniejsze-data\">$data</td><td class=\"mniejsze\"><input type=\"radio\" name=\"usun\" value=\"$bez_ukosnika\" title=\"Tej czynności nie można cofnąć!\" /></td></tr>\n";
          }
        }
      }
?>
        <tr><td>&nbsp;</td><td>&nbsp;</td><td class="mniejsze"><input type="submit" value="Usuń" title="Tej czynności nie można cofnąć!" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-miniblog-usun" />
    </form>
<?php
    }
    elseif ($typ == 'kontakt') {
      $cale_kontakt = explode('<WT>',dane_o('strony/'.$_GET['id'].'/kontakt'));
?>
    <form method="post">
      <table>
        <caption>Ustawienia formularza kontaktowego</caption>
        <tr><td>Napis nad formularzem:</td><td><input type="text" name="napis-nad-formularzem" value="<?php echo $cale_kontakt[0] ?>" /></td></tr>
        <tr><td>Adres e-mail:</td><td><input type="email" name="adres-email" value="<?php echo $cale_kontakt[1] ?>" required /></td></tr>
        <tr><td>&nbsp;</td><td><label><input type="checkbox" name="sprawdz-email" value="tak"/> wyślij testową wiadomość</label></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-kontakt-formularz" />
      <p class="pomoc">Jeśli formularz nie będzie działał prawidłowo, skontaktuj się z administratorem hostingu i zapytaj o funkcję <code class="p">mail()</code>.</p>
    </form>
    <form method="post">
      <table>
        <caption>Profile w portalach społecznościowych</caption>
        <tr><td>Profil na Facebooku:</td><td><input type="url" name="profil-facebook" value="<?php echo $cale_kontakt[2] ?>" /></td></tr>
        <tr><td>Profil na NK:</td><td><input type="url" name="profil-nk" value="<?php echo $cale_kontakt[3] ?>" /></td></tr>
        <tr><td>Profil na Blipie:</td><td><input type="url" name="profil-blip" value="<?php echo $cale_kontakt[4] ?>" /></td></tr>
        <tr><td>Profil na Twitterze:</td><td><input type="url" name="profil-twitter" value="<?php echo $cale_kontakt[5] ?>" /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-kontakt-portale" />
      <p class="pomoc">Aby nie umieścić linku do wybranego portalu, pozostaw jego pole puste.<br />Adres profilu powinien zaczynać się od <em>http://</em>, inaczej nie zadziała.</p>
    </form>
<?php
    }
?>
    <form method="post">
      <table>
        <caption>Ustawienia strony</caption>
        <tr><td>Typ:</td><td><label><input type="radio" name="typ" value="bez-zmian" checked /> bez zmian</label><br /><label title="Zwykła statyczna strona."><input type="radio" name="typ" value="strona" /> strona</label> <label title="Strona zawierająca efektowną galerię ze zdjęciami."><input type="radio" name="typ" value="galeria"/> galeria</label> <label title="Strona zawierająca kolejne krótkie wpisy."><input type="radio" name="typ" value="miniblog"/> miniblog</label>  <label title="Strona z formularzem kontaktowym."><input type="radio" name="typ" value="kontakt"/> kontakt</label></td></tr>
        <tr><td>Tytuł:</td><td><input type="text" name="tytul" value="<?php echo $tytul ?>" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-ustawienia" />
      <p class="pomoc">Zmiana typu strony powoduje bezpowrotne usunięcie jej dotychczasowej zawartości!</p>
    </form>
<?php
  }
  else {
?>
    <h2>Edycja</h2>
    <p>Nie można edytować tej strony w panelu użytkownika, ponieważ strona o identyfikatorze <strong>&#8222;<?php echo $_GET['id'] ?>&#8221;</strong> nie istnieje.</p>
<?php
  }
}

// panel użytkownika - ustawienia
elseif($a == 'ustawienia') {
  $glowne = explode('<WT>',dane_o('ustawienia/glowne'));
  $google = explode('<WT>',dane_o('ustawienia/google'));
  $uzytkownik = explode('<WT>',dane_o('ustawienia/uzytkownik'));
?>
    <h2>Ustawienia</h2>
    <form method="post">
      <table>
        <caption>Ustawienia główne strony</caption>
        <tr><td>Tytuł strony:</td><td><input type="text" name="tytul" value="<?php echo $glowne[0] ?>" required /></td></tr>
        <tr><td>Układ tytułu:</td><td><input type="text" name="uklad-tytulu" value="<?php echo $glowne[1] ?>" required /></td></tr>
        <tr><td>Autor strony:</td><td><input type="text" name="autor" value="<?php echo $glowne[2] ?>" required /></td></tr>
        <tr><td>Adres strony:</td><td><input type="text" name="adres" value="<?php echo $glowne[3] ?>" required /></td></tr>
        <tr><td>Format daty i godziny:</td><td><input type="text" name="data-godzina" value="<?php echo $glowne[4] ?>" required /></td></tr>
        <tr><td>&nbsp;</td><td><label><input type="checkbox" name="przyjazne-adresy" value="tak" <?php echo ($glowne[5] == 'tak') ? 'checked' : '' ?> /> przyjazne adresy</label></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="adres-stary" value="<?php echo $glowne[3] ?>" />
      <input type="hidden" name="przyjazne-adresy-stare" value="<?php echo $glowne[5] ?>" />
      <input type="hidden" name="formularz" value="ustawienia-glowne" />
      <p class="pomoc">Adres strony powinien zaczynać się od <em class="p">http://</em> i nie powinien kończyć się ukośnikiem!<br />Przyjazne adresy nie zawierają niepotrzebnych znaków, na przykład zamiast www.jankowalski.pl/?id=kontakt, działa adres www.jankowalski.pl/kontakt.<br />Format daty powinien być zgodny z funkcją <code class="p">date()</code>. Dokumentacja na <a href="http://www.php.net/manual/pl/function.date.php" target="_blank">www.php.net</a>.</p>
    </form>
    <form method="post">
      <table>
        <caption>Ustawienia związane z Google</caption>
        <tr><td>Opis strony:</td><td><input type="text" name="opis" value="<?php echo $google[0] ?>" /></td></tr>
        <tr><td>Słowa kluczowe:</td><td><input type="text" name="slowa-kluczowe" value="<?php echo $google[1] ?>" /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="ustawienia-google" />
      <p class="pomoc">Aby dodać stronę do wyszukiwarki, należy uzupełnić powyższe pola i podać adres swojej witryny na stronie <a href="http://www.google.pl/addurl/" target="_blank">www.google.pl/addurl</a>.<br />Słowa kluczowe należy rodzielić przecinkami. Opis powinien mieć maks. 150 znaków.</p>
    </form>
    <form method="post">
      <table>
        <caption>Ustawienia użytkownika</caption>
        <tr><td><label><input type="checkbox" name="nicedit" value="tak" <?php echo ($uzytkownik[0] == 'tak') ? 'checked' : '' ?> /> edytor wizualny NicEdit</label></td><td><label><input type="checkbox" name="black" value="tak" <?php echo ($uzytkownik[1] == 'tak') ? 'checked' : '' ?> /> kontrastowa wersja panelu użytkownika</label></td></tr>
        <tr><td><label><input type="checkbox" name="pomoc" value="tak" <?php echo ($uzytkownik[2] == 'tak') ? 'checked' : '' ?> /> ukryj podpowiedzi dla początkujących</label></td><td><label><input type="checkbox" name="resetowanie-hasla" value="tak" <?php echo ($uzytkownik[3] == 'tak') ? 'checked' : '' ?> /> funkcja resetowania hasła</label></td></tr>
        <tr><td>Adres e-mail:</td><td><input type="email" name="adres-email" value="<?php echo $uzytkownik[4] ?>" /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="ustawienia-uzytkownik" />
      <p class="pomoc">Przy korzystaniu z edytora wizualnego, aby strona wyświetlała się prawidłowo, przy tworzeniu każdego z akapitów, należy z menu <em class="p">Formatowanie</em> wybrać <em class="p">Akapit</em>.</p>
    </form>
    <form method="post">
      <table id="nowehaslo">
        <caption>Zmiana hasła</caption>
        <tr><td>Podaj nowe hasło:</td><td><input type="password" name="nowe-haslo-1" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="password" name="nowe-haslo-2" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zmień hasło" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="ustawienia-nowe-haslo" />
    </form>
<?php
}

// panel użytkownika - wygląd
elseif($a == 'wyglad') {
  $podstawowe = explode('<WT>',dane_o('wyglad/podstawowe'));
  $motyw = explode('<WT>',dane_o('wyglad/motyw'));
  $lista_motywow = explode('<WT>',file_get_contents('system/motywy/lista.txt')); $motywy_podstawowe = explode(';',$lista_motywow[0]); $motywy_dodatkowe = explode(';',$lista_motywow[1]); 
?>
    <h2>Wygląd</h2>
    <form method="post">
      <table>
        <caption>Podstawowe ustawienia</caption>
        <tr><td>Kolor tekstu:</td><td><input type="text" name="kolor-tekstu" class="mniejsze kolor <?php echo ($motyw[1] == 'tak') ? 'przezr' : ''; ?>"  value="<?php echo $podstawowe[0] ?>" required <?php echo ($motyw[1] == 'tak') ? 'readonly' : ''; ?> /></td></tr>
        <tr><td>Kolor tła:</td><td><input type="text" name="kolor-tla" class="mniejsze kolor <?php echo ($motyw[1] == 'tak') ? 'przezr' : ''; ?>" value="<?php echo $podstawowe[1] ?>" required <?php echo ($motyw[1] == 'tak') ? 'readonly' : ''; ?> /></td></tr>
        <tr><td>Szerokość strony:</td><td><input type="number" name="szerokosc" class="mniejsze <?php echo ($motyw[1] == 'tak') ? 'przezr' : ''; ?>" min="500" max="1500" step="25" value="<?php echo $podstawowe[2] ?>" required <?php echo ($motyw[1] == 'tak') ? 'readonly' : ''; ?> /></td></tr>
        <tr><td>Rozmiar czcionki:</td><td><input type="number" name="rozmiar-czcionki" class="mniejsze <?php echo ($motyw[1] == 'tak') ? 'przezr' : ''; ?>" min="5" max="30" value="<?php echo $podstawowe[3] ?>" required <?php echo ($motyw[1] == 'tak') ? 'readonly' : ''; ?> /></td></tr>
        <tr><td>Czcionka:</td>
        <td>
          <select name="czcionka" <?php echo ($motyw[1] == 'tak') ? "readonly class=\"przezr\"" : ''; ?> >
            <option class="wybrane"><?php echo $podstawowe[4] ?></option>
              <optgroup label="Standardowe">
              <option>Arial</option>
              <option>Calibri</option>
              <option>Georgia</option>
              <option>Tahoma</option>
              <option>Times New Roman</option>
              <option>Trebuchet MS</option>
              <option>Verdana</option>
            </optgroup>
            <optgroup label="Google Web Fonts">
              <option>Architects Daughter</option>
              <option>Bevan</option>
              <option>Cantarell</option>
              <option>Crimson Text</option>
              <option>Crushed</option>
              <option>Droid Sans Mono</option>
              <option>IM Fell English</option>
              <option>Indie Flower</option>
              <option>Inconsolata</option>
              <option>Josefin Sans Std Light</option>
              <option>Just Another Hand</option>
              <option>Just Me Again Down Here</option>
              <option>Lekton</option>
              <option>Luckiest Guy</option>
              <option>Merriweather</option>
              <option>Oswald</option>
              <option>Terminal Dosis Light</option>
            </optgroup>
          </select>
        </td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" <?php echo ($motyw[1] == 'tak') ? "disabled class=\"przezr\"" : ''; ?>/></td></tr>
      </table>
      <input type="hidden" name="formularz" value="wyglad-podstawowe" />
      <p class="pomoc">Wybranie czcionki z Google Web Fonts może minimalnie spowolnić ładowanie strony.</p>
    </form>
    <form method="post">
      <table>
        <caption>Motywy</caption>
        <tr><td>Motyw:</td>
        <td>
          <select name="nazwa-motywu">
            <option class="wybrane"><?php echo $motyw[0]; ?></option>
            <optgroup label="Podstawowe">
<?php
  for($a=0;$a<count($motywy_podstawowe);$a++)
    echo "            <option>".$motywy_podstawowe[$a],"</option>\n";
?>
            </optgroup>
          </select>
        </td></tr>
        <tr><td>&nbsp;</td><td><label><input type="checkbox" name="oryginalny-motyw" value="tak" <?php echo ($motyw[1] == 'tak') ? 'checked' : ''; ?>/> nie używaj ustawień użytkownika</label></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="motyw-stary" value="<?php echo $motyw[0]; ?>" />
      <input type="hidden" name="formularz" value="wyglad-motyw" />
      <p class="pomoc">Zmiana motywu powoduje utratę własnych zmian wprowadzonych w stylu CSS i szablonie strony!</p>
    </form>
    <form method="post">
      <table>
        <caption>Zaawansowana edycja kodu</caption>
        <tr>
        <td class="kod">Kod szablonu strony:<br /><textarea name="php" class="kod" required><?php echo dane_o('wyglad/szablon'); ?></textarea><br /><label><input type="checkbox" name="domyslny-php" value="tak" /> przywróć domyślny</label></td>
        <td class="kod">Styl CSS:<br /><textarea name="css" class="kod" required><?php echo file_get_contents('dane/styl.css'); ?></textarea><br /><label><input type="checkbox" name="domyslny-css" value="tak" /> przywróć domyślny</label></td>
        </tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="wyglad-zaawansowane" />
      <p class="pomoc">W domyślnym szablonie, znacznik <code class="p">&lt;body&gt;</code> otrzymuje identyfikator, taki jak wyświetlana strona, co pozwala na dostosowywanie wyglądu tylko dla konkretnych podstron.</p>
    </form>
<?php
}

// panel użytkownika - statystyki
elseif($a == 'statystyki') {
  $podstawowe = explode('<WT>',dane_o('statystyki/podstawowe'));
  if (dane_o('statystyki/ostatnia_data') != date('dmY')) {
    $podstawowe[0] = 0;
    dane_s(date('dmY'),'statystyki/ostatnia_data');
  }
  dane_s(implode('<WT>',$podstawowe),'statystyki/podstawowe');
  $licznik = explode('<WT>',dane_o('statystyki/licznik'));
?>
    <h2>Statystyki</h2>
    <table>
      <caption>Podstawowe statystyki</caption>
      <tr><td>Dzisiaj stronę odwiedziło:</td><td><?php echo $podstawowe[0].' '; if ($podstawowe[0] == 1) echo 'osoba'; elseif ($podstawowe[0] == 2 or $podstawowe[0] == 3 or $podstawowe[0] == 4) echo 'osoby'; else echo 'osób'; ?></td></tr>
      <tr><td>Data ostatnich odwiedzin:</td><td><?php echo $podstawowe[1] ?></td></tr>
      <tr><td>W ogóle stronę odwiedziło:</td><td><?php echo $podstawowe[2].' '; if ($podstawowe[2] == 1) echo 'osoba'; elseif ($podstawowe[2] == 2 or $podstawowe[2] == 3 or $podstawowe[2] == 4) echo 'osoby'; else echo 'osób'; ?></td></tr>
    </table>
    <p class="pomoc">Do wbudowanych statystyk nie są wliczane Twoje wyświetlenia strony.</p>
    <form method="post">
      <table>
        <caption>Licznik odwiedzin</caption>
        <tr><td>Tekst licznika:</td><td><input type="text" name="tekst-licznika" value="<?php echo $licznik[0] ?>" /></td></tr>
        <tr><td>&nbsp;</td><td><label><input type="checkbox" name="wlaczony" value="tak" <?php echo ($licznik[1] == 'tak') ? 'checked' : '' ?> /> pokazuj na stronie</label></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="statystyki-licznik" />
      <p class="pomoc">Ten licznik pokazuje ilość odwiedzin wskazywaną tylko przez wbudowane statystyki.</p>
    </form>
    <form method="post">
      <table>
        <caption>Zewnętrzne statystyki</caption>
        <tr><td class="kod">Kod zewnętrznych statystyk:</td><td><textarea name="kod-zewnetrznych-statystyk" class="kod" style="height: 100px;"><?php echo dane_o('statystyki/zewnetrzne') ?></textarea></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="statystyki-zewnetrzne" />
      <p class="pomoc">Jeśli chcesz skorzystać z zewnętrznych statystyk (np. Google Analytics) musisz wstawić na stronę kod śledzenia. Wklej go tutaj.</p>
    </form>
<?php
}

// panel użytkownika - powitanie
elseif($a == 'powitanie') {
?>
    <h2>Witaj!</h2>
    <p>Właśnie pomyślnie zainstalowano WizyTówkę!</p>
    <p>WizyTówka pozwoli Ci stworzyć stronę internetową z nieograniczoną ilością podstron, z&nbsp;efektownymi galeriami zdjęć, z prostymi miniblogami oraz z formularzami kontaktowymi. Możesz też zarządzać kolorystyką i wyglądem witryny.</p>
    <p>Rozpocznij korzystanie z systemu już teraz! Na początek <a href="?a=edycja&amp;id=strona-glowna&amp;kod=<?php echo $_GET['kod'] ?>">uzupełnij swoją stronę główną</a>.</p>
    <p>Zwykle, aby zarządzać swoją witryną, należy otwierać stronę znajdującą się pod adresem: <br /><a href="admin.php" style="color: #DB3300; text-decoration: none; font-weight: bold;" target="_blank"><?php echo $glowne[3] ?>/admin.php</a>.<br /> Najlepiej zachować ten adres w zakładach przeglądarki internetowej.</p>
    <p>Życzę miłej pracy i zabawy z WizyTówką!</p>
    <p style="margin-top: 0; padding-top: 0; text-align: right; font-style: italic;">&mdash; autor, Tomasz Gąsior</p>
    <?php if (WERSJA_BETA) { ?><p class="uwaga">Ta wersja WizyTówki jest wersją testową &mdash; może zawierać błędy.<br /><strong>Nie należy w tej chwili wykorzystywać jej do oficjalnych witryn.</strong></p><?php } ?>
<?php
}

// panel użytkownika - licencja
elseif($a == 'licencja') {
?>
    <h2>Licencja</h2>
    <ol>
      <li>Użytkownik instalując i używając tego oprogramowania, akceptuje niniejszą licencję.</li>
      <li>WizyTówka jest wolnym oprogramowaniem, co oznacza, że Użytkownik ma prawo do używania go w dowolnym celu, kopiowania go, modyfikowania i udostępniania go.</li>
      <li>Użytkownik ma prawo do modyfikacji WizyTówki, jednak musi pozostawić informacje o autorach elementów wykorzystanych w produkcie oraz o autorze samej WizyTówki.</li>
      <li>WizyTówka udostępniana jest w Internecie za darmo i za korzystanie z niej nie mogą być pobierane opłaty, ani korzyści materialne.</li>
      <li>Autor dołożył starań, aby oprogramowanie działało prawidłowo, jednak nie ponosi on odpowiedzialności za szkody wynikające z korzystania z WizyTówki.</li>
      <li>Za treści publikowane za pomocą WizyTówki odpowiedzialność ponosi wyłącznie osoba, która je opublikowała.</li>
      <li>Autor WizyTówki zastrzega sobie prawo do zmiany treści licencji w kolejnych jej wersjach.</li>
    </ol>
<?php
}

// panel użytkownika - informacje
elseif($a == 'autorzy') {
?>
    <h2>Autorzy</h2>
    <p style="font-size: 18px;">WizyTówka &mdash; wersja <?php echo WERSJA ?> <?php if (WERSJA_BETA) { ?><span style="color: red;" title="To jest wersja testowa!">BETA</span><?php } ?> (<?php echo WERSJA_DATA ?> r.)<br /><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank" class="menu">www.wizytowka.tomaszgasior.kao.pl</a></p>
    <?php if (WERSJA_BETA) { ?><p class="uwaga">Ta wersja WizyTówki jest wersją testową &mdash; może zawierać błędy.<br /><strong>Nie należy w tej chwili wykorzystywać jej do oficjalnych witryn.</strong></p><?php } ?>
    <table class="lista">
      <caption>Lista autorów</caption>
      <tr><th>Element</th><th>Autor</th></tr>
      <tr><td><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank" class="menu">WizyTówka</a></td><td><a href="http://tomaszgasior.kao.pl" target="_blank" class="menu">Tomasz Gąsior</a></td></tr>
      <tr><td><a href="http://led24.de/iconset" target="_blank" class="menu">LED Icon Set</a></td><td>Marcis Gasuns</td></tr>
      <tr><td><a href="http://galleria.aino.se" target="_blank" class="menu">Galleria</a></td><td><a href="http://www.aino.com" target="_blank" class="menu">Aino</a></td></tr>
      <tr><td><a href="http://nicedit.com" target="_blank" class="menu">NicEdit</a></td><td><a href="http://bkirchoff.com" target="_blank" class="menu">Brian Kirchoff</a></td></tr>
      <tr><td><a href="http://grafifor.pl/showthread.php?tid=663" target="_blank" class="menu">ikony portali społecznościowych</a></td><td><a href="http://grafifor.pl/member.php?action=profile&amp;uid=10" target="_blank" class="menu">Maciek Bakowicz</a></td></tr>
      <tr><td><a href="http://jscolor.com" target="_blank" class="menu">JSColor</a></td><td><a href="http://odvarko.cz" target="_blank" class="menu">Jan Odvárko</a></td></tr>
      <tr><td><a href="http://jquery.com" target="_blank" class="menu">jQuery</a></td><td><a href="http://jquery.org/team/" target="_blank" class="menu">jQuery Team</a></td></tr>
    </table>
<?php
}

// panel użytkownika - pomoc
elseif($a == 'pomoc') {
?>
    <h2>Pomoc</h2>
    <ul>
      <li><strong>Dlaczego moja strona źle wyświetla się w Internet Explorerze?</strong><br />Ta przeglądarka internetowa w wersji szóstej (którą wydano prawie 10 lat temu) nie obsługuje najnowszych standardów HTML5, dlatego WizyTówka źle w niej działa, jednak w najnowszej, dziewiątej wersji Internet Explorera problem nie występuje.</li>
      <?php if ($brak_dostepu_do_plikow != TRUE) { ?><li><strong>Jak wykonać kopię zapasową strony?</strong><br />WizyTówka wszystkie swoje ustawienia i treść stron (zdjęcia i wpisy) przechowuje w folderze <code>dane</code>. Wykonanie kopii polega na pobraniu tego właśnie folderu na komputer przy pomocy klienta FTP. Przy przywracaniu kopii należy normalnie zainstalować WizyTówkę, a następnie podmienić folder <code>dane</code> na własny.</li><?php } ?>
      <li><strong>Dlaczego nie działa formularz kontaktowy?</strong><br />WizyTówka do wysyłania wiadomości e-mail wykorzystuje funkcję <code>mail()</code>. W niektórych hostingach jest ona zablokowana lub wymaga przed użyciem odpowiedniego ustawienia. Aby dowiedzieć się, co zrobić, skontaktuj się z pomocą techniczną hostingu.</li>
      <li><strong>Dlaczego po włączeniu przyjaznych adresów strona przestaje działać?</strong><br />Aby przyjazne adresy działały, WizyTówka musi mieć możliwość utworzenia pliku <code>.htaccess</code>. Na niektórych serwerach jest to niemożliwe. W takim wypadku nie można skorzystać z tej opcji i należy ją wyłączyć.</li>
      <li><strong>Co zrobić, gdy w miniblogu pojawia się niewłaściwa data?</strong><br />Jeżeli w dacie pojawia się błędny dzień lub godzina, winne są niewłaściwe ustawienia serwera. Jeżeli mimo zmiany formatu daty na stronie <em>Ustawienia</em> w miniblogach format pozostaje niezmieniony, powodem jest wersja PHP. Wymagana jest przynajmniej wersja 5.3.0. W obu przypadkach, w celu rozwiązania problemu, należy skontaktować się z administratorem serwera.</li>
      <?php if ($brak_dostepu_do_plikow != TRUE) { ?><li><strong>Nie podobają mi się ikony portali społecznościowych, jak je zmienić?</strong><br />Aby zmienić ikony portali na własne, należy podmienić pliki w katalogu <code>system/img/s</code> za pomocą klienta FTP. Nie powinno się używać ikon, do których nie posiada się praw autorskich.</li><?php } ?>
      <li><strong>Co zrobić, jeśli wbudowane statystyki mi nie wystarczają?</strong><br />Jeśli potrzebujesz więcej informacji, skorzystaj z zewnętrznej usługi, na przykład <a href="http://stat.4u.pl/" target="_blank">Stat4u</a>. Aby rozpocząć, należy się zarejestrować na stronie, a następnie wstawić odpowiedni kod na podstronie <em>Statystyki</em> w WizyTówce.</li>
      <li><strong>Dlaczego niektóre fragmenty (akapity) strony mają inne marginesy?</strong><br />W edytorze NicEdit występuje pewien błąd &mdash; zamiast znacznika <code>&lt;p&gt;</code>, pojawia się znacznik <code>&lt;div&gt;</code> lub żaden. Aby temu zapobiec, przy tworzeniu każdego z akapitów (po wciśnięciu <em>Enter</em>, przed wpisaniem tekstu), należy z menu <em class="p">Formatowanie</em> wybrać <em class="p">Akapit</em>. Błąd nie występuje w przeglądarkach Opera 11 i Internet Explorer 9.</li>
      <li><strong>Jakich zmiennych można użyć przy edycji szablonu strony?</strong><br />Dostępne są następujące zmienne: <code>$opis</code>, <code>$slowa_kluczowe</code> &mdash; informacje dla wyszukiwarek; <code>$adres</code> &mdash; adres strony; <code>$autor</code> &mdash; imię i nazwisko autora; <code>$tytul</code> &mdash; tytuł do wyświetlenia na stronie; <code>$uklad_tytulu</code> &mdash; tytuł do znacznika <code>&lt;title&gt;</code>; <code>$identyfikator</code> &mdash; np. <em>strona-glowna</em>, należy nadać takie ID dla znacznika <code>&lt;body&gt;</code>; <code>$tresc</code> &mdash; treść podstrony; <code>$menu</code> &mdash; lista z menu, należy umieścić wewnątrz <code>&lt;ul&gt;</code>; <code>$licznik_odwiedzin</code> &mdash; licznik wbudowanych statystyk; <code>$kod_zewnetrznych_statystyk</code> &mdash; można go zmienić na stronie <em>Statystyki</em></li>
      <li><strong>Jak korzystać przy tworzeniu stylu CSS z ustawień użytkownika?</strong><br />Na podstronie <em>Wygląd</em> użytkownik może zmienić kolor tła i tekstu oraz szerokość strony. Przy tworzeniu pliku CSS można korzystać z tych wartości używając odpowiednich klas. Klasa <code>.k-tekstu</code> przypisuje cesze <code>color</code> kolor tekstu, klasa <code>.k-tla</code> ustawia <code>background-color</code> na kolor tła. Klasa <code>.k-tekstu-j-tlo</code> ustawia jako kolor tekstu kolor tła, klasa <code>.k-tla-j-tekst</code> jako kolor tła ustawia kolor tekstu. Możemy skorzystać też z klasy <code>.szerokosc</code>, która jako <code>width</code> ustawia podaną w pikselach szerokość.</li>
      <li><strong>Jak edytować fragmenty strony, których nie ma w szablonie (np. formularz)?</strong><br />Niektóre fragmenty strony (np. komunikat o niewysłaniu wiadomości e-mail) nie są umieszczone w szablonie, ale można zmienić ich wygląd poprzez styl CSS. Pola tekstowe formularza kontaktowego mają klasę <code>.formularz</code>, ikony portali społecznościowych na stronie kontaktowej są umieszczone znaczniku <code>&lt;p&gt;</code> z klasą <code>.portale-spolecznosciowe</code>. Komunikaty (o wysłaniu wiadomości, czy o błędzie 404) umieszczone są w paragrafie z klasą <code>.info</code>, natomiast daty w miniblogach umieszczone są w akapicie z klasą <code>.data-miniblog</code>.</li>
      <?php if ($brak_dostepu_do_plikow != TRUE) { ?><li><strong>Czy użytkownik może edytować kod WizyTówki?</strong><br />Oczywiście! Jeżeli masz takie umiejętności, możesz dopasowywać WizyTówkę do siebie, edytując ją. Własną, zmodyfikowaną wersję możesz udostępnić w Internecie. Pamiętaj tylko, aby pozostawić informacje o autorach.</li><?php } ?>
      <li><strong>Jak zgłosić błąd lub zaproponować zmiany?</strong><br />Aby skontaktować się z autorem, należy skorzystać z formularza na stronie <a href="http://tomaszgasior.kao.pl/kontakt" target="_blank">www.tomaszgasior.kao.pl/kontakt</a>.</li>
    </ul>
<?php
}

// panel użytkownika - błąd
else {
?>
    <h2>Błędny adres</h2>
    <p>Nie można wyświetlić strony w panelu użytkownika, ponieważ nie istnieje strona <strong>&#8222;<?php echo $_GET['a'] ?>&#8221;</strong>.</p>
<?php
}